Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.web.bindery.requestfactory.shared
Interface RequestTransport

All Known Implementing Classes:
  DefaultRequestTransport, FakeRequestTransport, InProcessRequestTransport, UrlRequestTransport

    public interface RequestTransport

Abstracts the mechanism by which a RequestFactory instance transmits its payload to the backend.

See Also:
  `DefaultRequestTransport`, `FakeRequestTransport`

Nested Class Summary
`static interface` | `RequestTransport.TransportReceiver` A callback interface.

Method Summary
`void` | `send(java.lang.String payload, RequestTransport.TransportReceiver receiver)` Called by the RequestFactory implementation.

Method Detail

### send

    void send(java.lang.String payload,
              RequestTransport.TransportReceiver receiver)

  Called by the RequestFactory implementation.

  Parameters:
    `payload` - the String payload
    `receiver` - the `RequestTransport.TransportReceiver` instance that will receive the payload

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD